using System;
using System.Collections;
using System.Linq;
using System.Collections.Generic;

namespace Zadaci
{
    class Program
    {
        static void Main() {
            char c1, c2;
            sbyte a1, a2;
            char[] chr = Console.ReadLine().ToCharArray();
            string[] cnt = Console.ReadLine().Split(' ');
            c1 = chr[0];
            c2 = chr[1];
            a1 = sbyte.Parse(cnt[0]);
            a2 = sbyte.Parse(cnt[1]);
            float prop = a1 / a2;
            if(prop >= 3)
                Console.WriteLine("nemoguce");
        }
    }
}